PX_GET_FIELD(3)

NAME
PX_get_field — Returns single field definition in Paradox file

SYNOPSIS

#include <paradox.h>

pxfield_t *PX_get_field(pxdoc_t *pxdoc, int fieldno)

DESCRIPTION

Returns the meta data of the field with the given number in a Paradox file. The first field has number 0, the last one has number_of_fields-1. pxfield_t is defined as

typedef struct px_field pxfield_t;
struct px_field {
char *px_fname;
char px_ftype;
int px_flen;
int px_fdc;
};

The meaning of px_ftype is as following:

Values and meaning of px_ftype
ValueMeaning
pxfAlphaT{
Character string with a maximum of px_flen charackters.
T}
pxfDate
pxfShortShort integer (16 Bit)
pxfLongLong integer (32 Bit)
pxfCurrency
pxfNumber
pxfLogical
pxfMemoBLOb
pxfBLOb
pxfFmtMemoBLOb
pxfOLE
pxfGraphic
pxfTime
pxfTimestamp
pxfAutoInc
pxfBCD
pxfBytesArray of bytes.

RETURN VALUE

Returns pointer to field on success and NULL on failure.

SEE ALSO

PX_get_record(3), PX_get_fields(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.